Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Merge pull request #14 from mhwombat/master

Loosen dependencies to compile with haskell-platform-2012.2.0.0 (fixes #13, #14)
  • Loading branch information...
commit 89359388c19a4227c18fdda5f8eab2ff9e187732 2 parents 1e74cb3 + 2bbf5d8
@jtdaugherty authored
Showing with 8 additions and 8 deletions.
  1. +8 −8 vty-ui.cabal
View
16 vty-ui.cabal
@@ -92,7 +92,7 @@ Library
directory >= 1.0 && < 1.2,
filepath >= 1.1 && < 1.4,
unix >= 2.4 && < 2.6,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
stm >= 2.1 && < 2.3,
array >= 0.3.0.0 && < 0.5.0.0,
vector >= 0.9
@@ -156,7 +156,7 @@ Executable vty-ui-list-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False
@@ -169,7 +169,7 @@ Executable vty-ui-progressbar-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False
@@ -182,7 +182,7 @@ Executable vty-ui-complex-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
bytestring >= 0.9 && < 1.0,
time >= 1.1 && < 1.5,
old-locale >= 1.0 && < 1.1,
@@ -198,7 +198,7 @@ Executable vty-ui-dirbrowser-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False
@@ -211,7 +211,7 @@ Executable vty-ui-phoneinput-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False
@@ -224,7 +224,7 @@ Executable vty-ui-dialog-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False
@@ -237,7 +237,7 @@ Executable vty-ui-edit-demo
Extra-Lib-Dirs: /usr/lib
Build-Depends:
base >= 4 && < 5,
- mtl >= 2.0 && < 2.1,
+ mtl >= 2.0 && < 2.2,
vty >= 4.6 && < 4.8
if !flag(demos)
Buildable: False

0 comments on commit 8935938

Please sign in to comment.
Something went wrong with that request. Please try again.